#
# spec file for package perl-App-Dochazka-CLI
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-App-Dochazka-CLI
Version:        0.238
Release:        lp152.3.18
%define cpan_name App-Dochazka-CLI
Summary:        Dochazka command line client
License:        BSD-3-Clause
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/App-Dochazka-CLI/
Source0:        App-Dochazka-CLI-0.238.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(App::CELL) >= 0.209
BuildRequires:  perl(App::Dochazka::Common) >= 0.199
BuildRequires:  perl(Date::Calc)
BuildRequires:  perl(File::HomeDir)
BuildRequires:  perl(File::ShareDir) >= 1.00
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(HTTP::Cookies)
BuildRequires:  perl(HTTP::Request)
BuildRequires:  perl(JSON)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Module::Build) >= 0.370000
BuildRequires:  perl(Params::Validate) >= 1.06
BuildRequires:  perl(Software::License)
BuildRequires:  perl(Term::ReadKey)
BuildRequires:  perl(Term::ReadLine::Gnu)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::Warnings)
BuildRequires:  perl(Text::Table)
BuildRequires:  perl(Web::MREST::CLI) >= 0.28
Requires:       perl(App::CELL) >= 0.209
Requires:       perl(App::Dochazka::Common) >= 0.199
Requires:       perl(Date::Calc)
Requires:       perl(File::HomeDir)
Requires:       perl(File::ShareDir) >= 1.00
Requires:       perl(File::Slurp)
Requires:       perl(HTTP::Cookies)
Requires:       perl(HTTP::Request)
Requires:       perl(JSON)
Requires:       perl(LWP::UserAgent)
Requires:       perl(Params::Validate) >= 1.06
Requires:       perl(Term::ReadKey)
Requires:       perl(Term::ReadLine::Gnu)
Requires:       perl(Text::Table)
Requires:       perl(Web::MREST::CLI) >= 0.281
%{perl_requires}
# MANUAL BEGIN
Requires:       xdg-utils
# MANUAL END

%description
App::Dochazka::CLI is the Command Line Interface (CLI) component of the
Dochazka Attendance & Time Tracking system.

In order to work, the CLI must be pointed at a running App::Dochazka::REST
(i.e., Dochazka REST server) instance by setting the 'MREST_CLI_URI_BASE'
meta configuration parameter.

Detailed documentation covering configuration, deployment, and the commands
that can be used with the CLI can be found in App::Dochazka::CLI::Guide.

This module is used to store some "global" package variables that are used
throughout the CLI code base.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
# MANUAL BEGIN
install -dm0755 %{buildroot}%{_sysconfdir}/dochazka-cli
install -m0640 ext/CLI_SiteConfig.pm.example %{buildroot}%{_sysconfdir}/dochazka-cli/CLI_SiteConfig.pm
install -m0644 ext/CLI_SiteConfig.pm.example %{buildroot}%{_sysconfdir}/dochazka-cli/CLI_SiteConfig.pm.example

echo "%dir %{_sysconfdir}/dochazka-cli" >> %{name}.files
echo "%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/dochazka-cli/CLI_SiteConfig.pm" >> %{name}.files
echo "%config %{_sysconfdir}/dochazka-cli/CLI_SiteConfig.pm.example" >> %{name}.files
# MANUAL END
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes config ext LICENSE README.rst

%changelog
* Thu Sep 15 2016 ncutler@suse.com
- updated to 0.238
  see /usr/share/doc/packages/perl-App-Dochazka-CLI/Changes
* Thu Sep 15 2016 tampakrap@opensuse.org
- add example and empty config files
* Thu Sep  8 2016 tampakrap@opensuse.org
- regenerate via cpanspec, remove _service file
* Sun Sep  4 2016 ncutler@suse.com
- update %%doc list in spec file
* Sun Sep  4 2016 ncutler@suse.com
- updated to 0.237
  see /usr/share/doc/packages/perl-App-Dochazka-CLI/Changes
* Mon Jul 27 2015 ncutler@suse.com
- add Term::ReadKey dependency
* Mon Jul 27 2015 ncutler@suse.com
- change Web::MREST dependency to Web::MREST::CLI
* Mon Jul 27 2015 ncutler@suse.com
- require a recent version of Web::MREST
* Tue Jul 21 2015 ncutler@suse.com
- add _service file
- update to 0.198
* Sun Jul  5 2015 ncutler@suse.com
- Update to 0.197
* Sat Jul  4 2015 ncutler@suse.com
- Update to 0.196
* Sat Jul  4 2015 ncutler@suse.com
- Update to 0.195
* Fri Jul  3 2015 ncutler@suse.com
- Update to 0.193
* Tue Jun 30 2015 ncutler@suse.com
- spec file: replace literal version number with %%{version}
* Tue Jun 30 2015 ncutler@suse.com
- Update to 0.193
* Mon Jun 29 2015 ncutler@suse.com
- Update to 0.192
* Mon Jun 29 2015 ncutler@suse.com
- re-generated spec file to pick up new dependencies, e.g. Date::Calc
* Mon Jun 29 2015 ncutler@suse.com
- updated to 0.192
* Mon Jun 29 2015 ncutler@suse.com
- Update to 0.192
* Fri May  1 2015 ncutler@suse.com
- Update to 0.189
* Tue Apr 28 2015 ncutler@suse.com
- Update to 0.186
* Sat Apr 18 2015 ncutler@suse.com
- Update to 0.184
* Sat Apr 18 2015 ncutler@suse.com
- Update to 0.183
* Sat Apr 18 2015 ncutler@suse.com
- Update to 0.182
* Thu Apr 16 2015 ncutler@suse.com
- Update to 0.178
* Thu Apr 16 2015 ncutler@suse.com
- Update to 0.177
* Thu Apr 16 2015 ncutler@suse.com
- Update to 0.175
* Wed Apr 15 2015 ncutler@suse.com
- Update to 0.173
* Wed Apr 15 2015 ncutler@suse.com
- Update to 0.172
* Wed Apr 15 2015 ncutler@suse.com
- Update to 0.171
* Wed Apr 15 2015 ncutler@suse.com
- Update to 0.170
* Tue Apr 14 2015 ncutler@suse.com
- Update to 0.169
* Tue Apr 14 2015 ncutler@suse.com
- Update to 0.168
* Tue Apr 14 2015 ncutler@suse.com
- Update to 0.167
* Mon Apr 13 2015 ncutler@suse.com
- Update to 0.163
* Mon Apr 13 2015 ncutler@suse.com
- Update to 0.162
* Mon Apr 13 2015 ncutler@suse.com
- Update to 0.161
* Mon Apr 13 2015 ncutler@suse.com
- Update to 0.160
* Mon Apr 13 2015 ncutler@suse.com
- fix spec file
* Mon Apr 13 2015 ncutler@suse.com
- Update to 0.159
* Thu Apr  9 2015 ncutler@suse.com
- updated to 0.157
* Thu Apr  9 2015 ncutler@suse.com
- Update to 0.157
* Thu Apr  9 2015 ncutler@suse.com
- updated to 0.156
* Thu Apr  9 2015 ncutler@suse.com
- Update to 0.156
* Thu Apr  9 2015 ncutler@suse.com
- updated to 0.155
* Thu Apr  9 2015 ncutler@suse.com
- Update to 0.155
* Thu Apr  9 2015 ncutler@suse.com
- updated to 0.154
* Thu Apr  9 2015 ncutler@suse.com
- Update to 0.154
* Tue Apr  7 2015 ncutler@suse.com
- Update to 0.151
* Tue Apr  7 2015 ncutler@suse.com
- Update to 0.150
* Tue Apr  7 2015 ncutler@suse.com
- Update to 0.149
* Tue Apr  7 2015 ncutler@suse.com
- Update to 0.148
* Mon Mar 30 2015 ncutler@suse.com
- Update to 0.136
* Wed Mar 25 2015 ncutler@suse.com
- Update to 0.129
* Wed Mar 25 2015 ncutler@suse.com
- Update to 0.128
* Tue Mar 24 2015 ncutler@suse.com
- Update to 0.124
* Mon Mar  9 2015 ncutler@suse.com
- Update to 0.112
* Sun Mar  8 2015 ncutler@suse.com
- Update to 0.110
* Sat Mar  7 2015 ncutler@suse.com
- Update to 0.108
* Fri Mar  6 2015 ncutler@suse.com
- Update to 0.105
* Thu Mar  5 2015 ncutler@suse.com
- Update to 0.101
* Tue Feb 24 2015 ncutler@suse.com
- Update to 0.097
* Tue Feb 24 2015 ncutler@suse.com
- Update to 0.096
* Wed Feb 11 2015 ncutler@suse.com
- Update to 0.086
* Mon Feb  2 2015 ncutler@suse.com
- Update to 0.082
* Mon Feb  2 2015 ncutler@suse.com
- Update to 0.081
* Mon Feb  2 2015 ncutler@suse.com
- Update to 0.080
* Tue Jan  6 2015 ncutler@suse.com
- Update to 0.072
* Mon Jan  5 2015 ncutler@suse.com
- Update to 0.071
* Tue Dec 30 2014 ncutler@suse.com
- Update to 0.067
* Fri Dec 12 2014 ncutler@suse.com
- Update to 0.065
* Fri Dec 12 2014 ncutler@suse.com
- Update to 0.064
* Thu Nov 20 2014 ncutler@suse.com
- Update to 0.062
* Thu Nov 20 2014 ncutler@suse.com
- Update to 0.061
* Wed Nov 19 2014 ncutler@suse.com
- Update to 0.059
* Wed Nov 19 2014 ncutler@suse.com
- Update to 0.058
* Wed Nov 19 2014 ncutler@suse.com
- Update to 0.057
* Thu Nov  6 2014 ncutler@suse.com
- Update to 0.053
* Tue Nov  4 2014 ncutler@suse.com
- Update to 0.051
* Tue Nov  4 2014 ncutler@suse.com
- Update to 0.050
* Tue Nov  4 2014 ncutler@suse.com
- Update to 0.049
* Mon Nov  3 2014 ncutler@suse.com
- Update to 0.048
* Mon Nov  3 2014 ncutler@suse.com
- Update to 0.047
* Mon Nov  3 2014 ncutler@suse.com
- Update to 0.046
* Thu Oct 30 2014 ncutler@suse.com
- Update to 0.044
* Wed Oct 29 2014 ncutler@suse.com
- Update to 0.042
* Wed Oct 29 2014 ncutler@suse.com
- Update to 0.041
* Wed Oct 29 2014 ncutler@suse.com
- Update to 0.040
* Mon Oct 27 2014 ncutler@suse.com
- Update to 0.037
* Mon Oct 27 2014 ncutler@suse.com
- Update to 0.036
* Mon Oct 27 2014 ncutler@suse.com
- Update to 0.035
* Mon Oct 27 2014 ncutler@suse.com
- Update to 0.034
* Fri Oct 24 2014 ncutler@suse.com
- Update to 0.028
* Fri Oct 24 2014 ncutler@suse.com
- Update to 0.027
* Thu Oct 23 2014 ncutler@suse.com
- Update to 0.026
* Wed Oct 22 2014 ncutler@suse.com
- Update to 0.024
* Tue Oct 21 2014 ncutler@suse.com
- Update to 0.022
* Tue Oct 21 2014 ncutler@suse.com
- Update to 0.021
* Mon Oct 20 2014 ncutler@suse.com
- Update to 0.019
* Tue Aug 19 2014 ncutler@suse.com
- Update to 0.010
* Mon Aug 11 2014 ncutler@suse.com
- Update to 0.010
* Mon Aug 11 2014 ncutler@suse.com
- Update to 0.009
* Mon Aug 11 2014 ncutler@suse.com
- Update to 0.009
* Mon Aug 11 2014 ncutler@suse.com
- add dependency on Term::ReadLine::Perl5
* Fri Aug  8 2014 ncutler@suse.com
- Update to 0.004
* Fri Aug  8 2014 ncutler@suse.com
- Update to 0.004
* Fri Aug  8 2014 ncutler@suse.com
- initial package 0.003
  * created by cpanspec 1.78.08
